/* Project : TBK-Foundation Page
   Author: JohnnyCeL
   Created: 7 Nov 2020
   Description: Master CSS file
*/

/*****************************************

/*****************************************
Table Of Contents:

01 ) General Style
02 ) Title Section (Section 1)
03 ) Section 1
04 ) Section 2
******************************************/

/******************************/
/*     01. General Styles     */
/******************************/
body,
html {
    width: 100%;
	height: 100%;
}

body {
    background-image: url('../images/bg_body_main.png');
    margin:0px;
	padding: 0px;
	background-color: #ffffff;
	background-size: 100vw 100vw;
	background-position: center center;
	background-repeat: repeat-y;
}

body a {
    color: inherit; /* blue colors for links too */
    text-decoration: none; /* no underline */
    
  }

body a:hover {
    color: black;
    text-decoration: none; /* no underline */
}

.text-adjustment {
    text-align: left !important;
}

.en-font {
    font-family: Helvetica, sans-serif !important;
}

.en-sub-title-font {
    text-align: center;
    font-size: 2.5vw;
}

.en-para-font {
    display: flex;
    justify-content: center;
    font-size: 1.5vw;
}

/*************************************/
/*     02. Page Title Section       */
/***********************************/

.page-title {
    margin-top: 1%;
    margin-left: 0.02%;
}


    .page-title .page-title-text {
        font-size: 2.2vw;
        /*font-family: dahei3;*/
        font-family: Georgia, "Times New Roman", "KaiTi", "??", STKaiti, "????", serif;
    }

    .page-title .page-title-font-specific-color-text {
        color: darkblue;
        font-size: 2.2vw;
        /*font-family: dahei3;*/
        font-family: Georgia, "Times New Roman", "KaiTi", "??", STKaiti, "????", serif;
    }

    .page-title .page-title-text-en {
        font-size: 1.5vw !important;
        /*font-family: dahei3;*/
    }

    .page-title .page-title-font-specific-color-text-en {
        color: darkblue !important;
        font-size: 1.5vw !important;
        /*font-family: dahei3;*/
    }

@media only screen and (max-width: 600px) {
    .page-title .page-title-text {
        font-size: 3vw;
        /*font-family: dahei3;*/
        font-family: Georgia, "Times New Roman", "KaiTi", "??", STKaiti, "????", serif;
    }
}

@media only screen and (max-width: 600px) {
    .page-title .page-title-font-specific-color-text {
        color: darkblue;
        font-size: 3vw;
        /*font-family: dahei3;*/
        font-family: Georgia, "Times New Roman", "KaiTi", "??", STKaiti, "????", serif;
    }
}


/*************************************/
/*          03. Section 1           */
/***********************************/

.section-1 {
    margin-bottom: 2%;
}

.section-1-paragraph {
    margin-bottom: 2%;
}

.section-1 .image-1-section1 {
    display: block;
    margin-left: auto;
    margin-right: auto;
    margin-top: 3%;
    width: 62%;
}

.section-1-paragraph-text-sub-title {
    text-align: center;
    font-size: 3vw;
    font-family: Georgia, "Times New Roman", "KaiTi", "??", STKaiti, "????", serif;
}

.section-1-paragraph-text {
    display: flex;
    justify-content: center;
    font-size: 2.2vw;
    font-family: Georgia, "Times New Roman", "KaiTi", "??", STKaiti, "????", serif;
}

@media only screen and (max-width: 600px) {
    .section-1-paragraph-text-sub-title {
        text-align: center;
        font-size: 4.2vw;
        font-family: Georgia, "Times New Roman", "KaiTi", "??", STKaiti, "????", serif;
    }
}

@media only screen and (max-width: 600px) {
    .section-1-paragraph-text {
        display: flex;
        justify-content: center;
        font-size: 3vw;
        font-family: Georgia, "Times New Roman", "KaiTi", "??", STKaiti, "????", serif;
        margin-bottom: 1.5%;
    }
}

/*************************************/
/*          04. Table               */
/***********************************/

table {
    text-align: center !important;
    width: 100% !important;
    margin: auto;
    font-family: Georgia, "Times New Roman", "KaiTi", "??", STKaiti, "????", serif !important;
    font-size: 1.2vw !important;
    font-weight: 600 !important;
}

.table-dark {
    color: black !important;
}

.table-striped > tbody > tr:nth-child(even) > td,
.table-striped > tbody > tr:nth-child(even) > th {
    background-color: white;
}

.table-striped > tbody > tr:nth-child(odd) > td,
.table-striped > tbody > tr:nth-child(odd) > th {
    background-color: white;
}

.main-th {
    background-color: #fcba03 !important;
    color: black !important;
    font-weight: bolder !important;
    font-size: 1.8vw !important;
}

.sub-th {
    background-color: #fcba03 !important;
    color: black !important;
    font-size: 2vw !important;
}
.th-year {
    color: darkblue !important;
    background: rgba(255, 195, 77, 0.5) !important;
    font-size: 1.3vw !important;
}

.table-dark {
    background-color: transparent !important;
}

table td:hover {
    color: darkblue !important;
    background: rgba(255, 195, 77, 0.5) !important;
}

.link-listing-container {
    text-align: center !important;
    padding-bottom: 5% !important;
    font-size: 1.8vw !important;
    font-family: Georgia, "Times New Roman", "KaiTi", "??", STKaiti, "????", serif;
}

.link-listing-container a:hover {
    text-decoration: underline !important;
    text-decoration-color: orange !important;
}

.link-space {
    margin-bottom: 4.5% !important;
    margin-top: 4.5% !important;
}

/* Screen Size For Smartphone */
@media (max-width: 575.98px) {
    .mob_table_padding td {
        padding : 0.75rem 0rem !important;
    }
}